package com.itbaizhan.service;

import com.itbaizhan.dao.AccountDao;
import com.itbaizhan.pojo.Account;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AccountService {

    @Autowired
    private AccountDao accountDao;

    /**
     * 定义转账事务
     * @param id1   ：转出人账户
     * @param id2   ：收到人账户
     * @param price ：转出钱数
     */
    public void transfer(int id1,int id2,double price){
        Account account1 = accountDao.findById(id1);
        account1.setBalance(account1.getBalance()- price);       //转出人减少一次“钱数”
        accountDao.update(account1);

        Account account2 = accountDao.findById(id2);
        account2.setBalance(account2.getBalance()+price);       //收到人增加一次“钱数”
        accountDao.update(account2);
    }
}
